diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/null-message-simulator-impl.cc ns-3.44/src/mpi/model/null-message-simulator-impl.cc
--- ns-3.43/src/mpi/model/null-message-simulator-impl.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/null-message-simulator-impl.cc	2025-03-09 16:55:49.659372000 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of class ns3::NullMessageSimulatorImpl.
  */
 
@@ -19,16 +19,16 @@
 #include "remote-channel-bundle-manager.h"
 #include "remote-channel-bundle.h"
 
-#include <ns3/assert.h>
-#include <ns3/channel.h>
-#include <ns3/double.h>
-#include <ns3/event-impl.h>
-#include <ns3/log.h>
-#include <ns3/node-container.h>
-#include <ns3/pointer.h>
-#include <ns3/ptr.h>
-#include <ns3/scheduler.h>
-#include <ns3/simulator.h>
+#include "ns3/assert.h"
+#include "ns3/channel.h"
+#include "ns3/double.h"
+#include "ns3/event-impl.h"
+#include "ns3/log.h"
+#include "ns3/node-container.h"
+#include "ns3/pointer.h"
+#include "ns3/ptr.h"
+#include "ns3/scheduler.h"
+#include "ns3/simulator.h"
 
 #include <cmath>
 #include <fstream>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/null-message-simulator-impl.h ns-3.44/src/mpi/model/null-message-simulator-impl.h
--- ns-3.43/src/mpi/model/null-message-simulator-impl.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/null-message-simulator-impl.h	2025-03-09 16:55:49.659372000 -0700
@@ -7,18 +7,18 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of class ns3::NullMessageSimulatorImpl.
  */
 
 #ifndef NULLMESSAGE_SIMULATOR_IMPL_H
 #define NULLMESSAGE_SIMULATOR_IMPL_H
 
-#include <ns3/event-impl.h>
-#include <ns3/ptr.h>
-#include <ns3/scheduler.h>
-#include <ns3/simulator-impl.h>
+#include "ns3/event-impl.h"
+#include "ns3/ptr.h"
+#include "ns3/scheduler.h"
+#include "ns3/simulator-impl.h"
 
 #include <fstream>
 #include <iostream>
@@ -32,16 +32,16 @@
 class RemoteChannelBundle;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Simulator implementation using MPI and a Null Message algorithm.
+ * @brief Simulator implementation using MPI and a Null Message algorithm.
  */
 class NullMessageSimulatorImpl : public SimulatorImpl
 {
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -74,7 +74,7 @@
     uint64_t GetEventCount() const override;
 
     /**
-     * \return singleton instance
+     * @return singleton instance
      *
      * Singleton accessor.
      */
@@ -109,7 +109,7 @@
     void ProcessOneEvent();
 
     /**
-     * \return next local event time.
+     * @return next local event time.
      */
     Time Next() const;
 
@@ -122,19 +122,19 @@
      * Get the current SafeTime; the maximum time that events can
      * be processed based on information received from neighboring
      * MPI tasks.
-     * \return the current SafeTime
+     * @return the current SafeTime
      */
     Time GetSafeTime();
 
     /**
-     * \param bundle Bundle to schedule Null Message event for
+     * @param bundle Bundle to schedule Null Message event for
      *
      * Schedule Null Message event for the specified RemoteChannelBundle.
      */
     void ScheduleNullMessageEvent(Ptr<RemoteChannelBundle> bundle);
 
     /**
-     * \param bundle Bundle to reschedule Null Message event for
+     * @param bundle Bundle to reschedule Null Message event for
      *
      * Reschedule Null Message event for the specified
      * RemoteChannelBundle.  Existing event will be canceled.
@@ -142,7 +142,7 @@
     void RescheduleNullMessageEvent(Ptr<RemoteChannelBundle> bundle);
 
     /**
-     * \param nodeSysId SystemID to reschedule null event for
+     * @param nodeSysId SystemID to reschedule null event for
      *
      * Reschedule Null Message event for the RemoteChannelBundle to the
      * task nodeSysId.  Existing event will be canceled.
@@ -150,9 +150,9 @@
     void RescheduleNullMessageEvent(uint32_t nodeSysId);
 
     /**
-     * \param systemId SystemID to compute guarantee time for
+     * @param systemId SystemID to compute guarantee time for
      *
-     * \return Guarantee time
+     * @return Guarantee time
      *
      * Calculate the guarantee time for incoming RemoteChannelBundle
      * from task nodeSysId.  No message should arrive from task
@@ -161,7 +161,7 @@
     Time CalculateGuaranteeTime(uint32_t systemId);
 
     /**
-     * \param bundle remote channel bundle to schedule an event for.
+     * @param bundle remote channel bundle to schedule an event for.
      *
      * Null message event handler.   Scheduled to send a null message
      * for the specified bundle at regular intervals.   Will canceled
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/parallel-communication-interface.h ns-3.44/src/mpi/model/parallel-communication-interface.h
--- ns-3.43/src/mpi/model/parallel-communication-interface.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/parallel-communication-interface.h	2025-03-09 16:55:49.659372000 -0700
@@ -8,18 +8,18 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of class ns3::ParallelCommunicationInterface.
  */
 
 #ifndef NS3_PARALLEL_COMMUNICATION_INTERFACE_H
 #define NS3_PARALLEL_COMMUNICATION_INTERFACE_H
 
-#include <ns3/buffer.h>
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
+#include "ns3/buffer.h"
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
 
 #include <list>
 #include <mpi.h>
@@ -29,9 +29,9 @@
 {
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Pure virtual base class for the interface between ns-3 and
+ * @brief Pure virtual base class for the interface between ns-3 and
  * the parallel communication layer being used.
  *
  * This class is implemented for each of the parallel versions of
@@ -55,39 +55,39 @@
     }
 
     /**
-     * \copydoc MpiInterface::Destroy
+     * @copydoc MpiInterface::Destroy
      */
     virtual void Destroy() = 0;
     /**
-     * \copydoc MpiInterface::GetSystemId
+     * @copydoc MpiInterface::GetSystemId
      */
     virtual uint32_t GetSystemId() = 0;
     /**
-     * \copydoc MpiInterface::GetSize
+     * @copydoc MpiInterface::GetSize
      */
     virtual uint32_t GetSize() = 0;
     /**
-     * \copydoc MpiInterface::IsEnabled
+     * @copydoc MpiInterface::IsEnabled
      */
     virtual bool IsEnabled() = 0;
     /**
-     * \copydoc MpiInterface::Enable(int* pargc,char*** pargv)
+     * @copydoc MpiInterface::Enable(int* pargc,char*** pargv)
      */
     virtual void Enable(int* pargc, char*** pargv) = 0;
     /**
-     * \copydoc MpiInterface::Enable(MPI_Comm communicator)
+     * @copydoc MpiInterface::Enable(MPI_Comm communicator)
      */
     virtual void Enable(MPI_Comm communicator) = 0;
     /**
-     * \copydoc MpiInterface::Disable
+     * @copydoc MpiInterface::Disable
      */
     virtual void Disable() = 0;
     /**
-     * \copydoc MpiInterface::SendPacket
+     * @copydoc MpiInterface::SendPacket
      */
     virtual void SendPacket(Ptr<Packet> p, const Time& rxTime, uint32_t node, uint32_t dev) = 0;
     /**
-     * \copydoc MpiInterface::GetCommunicator
+     * @copydoc MpiInterface::GetCommunicator
      */
     virtual MPI_Comm GetCommunicator() = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/remote-channel-bundle.cc ns-3.44/src/mpi/model/remote-channel-bundle.cc
--- ns-3.43/src/mpi/model/remote-channel-bundle.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/remote-channel-bundle.cc	2025-03-09 16:55:49.659372000 -0700
@@ -8,8 +8,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of class ns3::RemoteChannelBundle.
  */
 
@@ -18,7 +18,7 @@
 #include "null-message-mpi-interface.h"
 #include "null-message-simulator-impl.h"
 
-#include <ns3/simulator.h>
+#include "ns3/simulator.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/remote-channel-bundle.h ns-3.44/src/mpi/model/remote-channel-bundle.h
--- ns-3.43/src/mpi/model/remote-channel-bundle.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/remote-channel-bundle.h	2025-03-09 16:55:49.659372000 -0700
@@ -8,8 +8,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of class ns3::RemoteChannelBundle.
  */
 
@@ -18,9 +18,9 @@
 
 #include "null-message-simulator-impl.h"
 
-#include <ns3/channel.h>
-#include <ns3/pointer.h>
-#include <ns3/ptr.h>
+#include "ns3/channel.h"
+#include "ns3/pointer.h"
+#include "ns3/ptr.h"
 
 #include <unordered_map>
 
@@ -28,9 +28,9 @@
 {
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Collection of ns-3 channels between local and remote nodes.
+ * @brief Collection of ns-3 channels between local and remote nodes.
  *
  * An instance exists for each remote system that the local system is
  * in communication with.  These are created and managed by the
@@ -42,7 +42,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -51,7 +51,7 @@
 
     /**
      *  Construct and assign system Id.
-     *  \param [in] remoteSystemId The system id.
+     *  @param [in] remoteSystemId The system id.
      */
     RemoteChannelBundle(const uint32_t remoteSystemId);
 
@@ -62,20 +62,20 @@
 
     /**
      * Add a channel to this bundle.
-     * \param channel to add to the bundle
-     * \param delay time for the channel (usually the latency)
+     * @param channel to add to the bundle
+     * @param delay time for the channel (usually the latency)
      */
     void AddChannel(Ptr<Channel> channel, Time delay);
 
     /**
      * Get the system Id for this side.
-     * \return SystemID for remote side of this bundle
+     * @return SystemID for remote side of this bundle
      */
     uint32_t GetSystemId() const;
 
     /**
      * Get the current guarantee time for this bundle.
-     * \return guarantee time
+     * @return guarantee time
      */
     Time GetGuaranteeTime() const;
 
@@ -83,13 +83,13 @@
      * Set the guarantee time for the bundle.  This should be called
      * after a packet or Null Message received.
      *
-     * \param time The guarantee time.
+     * @param time The guarantee time.
      */
     void SetGuaranteeTime(Time time);
 
     /**
      * Get the minimum delay along any channel in this bundle
-     * \return The minimum delay.
+     * @return The minimum delay.
      */
     Time GetDelay() const;
 
@@ -97,19 +97,19 @@
      * Set the event ID of the Null Message send event currently scheduled
      * for this channel.
      *
-     * \param [in] id The null message event id.
+     * @param [in] id The null message event id.
      */
     void SetEventId(EventId id);
 
     /**
      * Get the event ID of the Null Message send event for this bundle
-     * \return The null message event id.
+     * @return The null message event id.
      */
     EventId GetEventId() const;
 
     /**
      * Get the number of ns-3 channels in this bundle
-     * \return The number of channels.
+     * @return The number of channels.
      */
     std::size_t GetSize() const;
 
@@ -118,16 +118,16 @@
      * Message will be delivered at current simulation time + the time
      * passed in.
      *
-     * \param time The delay from now when the null message should be received.
+     * @param time The delay from now when the null message should be received.
      */
     void Send(Time time);
 
     /**
      * Output for debugging purposes.
      *
-     * \param [in,out] out The stream.
-     * \param [in] bundle The bundle to print.
-     * \return The stream.
+     * @param [in,out] out The stream.
+     * @param [in] bundle The bundle to print.
+     * @return The stream.
      */
     friend std::ostream& operator<<(std::ostream& out, ns3::RemoteChannelBundle& bundle);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/remote-channel-bundle-manager.cc ns-3.44/src/mpi/model/remote-channel-bundle-manager.cc
--- ns-3.43/src/mpi/model/remote-channel-bundle-manager.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/remote-channel-bundle-manager.cc	2025-03-09 16:55:49.659372000 -0700
@@ -8,8 +8,8 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Implementation of class ns3::RemoteChannelBundleManager.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/model/remote-channel-bundle-manager.h ns-3.44/src/mpi/model/remote-channel-bundle-manager.h
--- ns-3.43/src/mpi/model/remote-channel-bundle-manager.h	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/model/remote-channel-bundle-manager.h	2025-03-09 16:55:49.659372000 -0700
@@ -8,16 +8,16 @@
  */
 
 /**
- * \file
- * \ingroup mpi
+ * @file
+ * @ingroup mpi
  * Declaration of class ns3::RemoteChannelBundleManager.
  */
 
 #ifndef NS3_REMOTE_CHANNEL_BUNDLE_MANAGER
 #define NS3_REMOTE_CHANNEL_BUNDLE_MANAGER
 
-#include <ns3/nstime.h>
-#include <ns3/ptr.h>
+#include "ns3/nstime.h"
+#include "ns3/ptr.h"
 
 #include <unordered_map>
 
@@ -27,9 +27,9 @@
 class RemoteChannelBundle;
 
 /**
- * \ingroup mpi
+ * @ingroup mpi
  *
- * \brief Singleton for managing the RemoteChannelBundles for each process.
+ * @brief Singleton for managing the RemoteChannelBundles for each process.
  *
  * Manages collective tasks associated with the bundle collection.
  */
@@ -39,8 +39,8 @@
     /**
      * Get the bundle corresponding to a remote rank.
      *
-     * \param [in] systemId The remote system id.
-     * \return The bundle for the specified system id.
+     * @param [in] systemId The remote system id.
+     * @return The bundle for the specified system id.
      */
     static Ptr<RemoteChannelBundle> Find(uint32_t systemId);
 
@@ -49,14 +49,14 @@
      * on other side of the link.
      * Can not be invoked after InitializeNullMessageEvents has been invoked.
      *
-     * \param [in] systemId The remote system id.
-     * \return The newly added bundle.
+     * @param [in] systemId The remote system id.
+     * @return The newly added bundle.
      */
     static Ptr<RemoteChannelBundle> Add(uint32_t systemId);
 
     /**
      * Get the number of ns-3 channels in this bundle
-     * \return The number of channels.
+     * @return The number of channels.
      */
     static std::size_t Size();
 
@@ -68,7 +68,7 @@
 
     /**
      * Get the safe time across all channels in this bundle.
-     * \return The safe time.
+     * @return The safe time.
      */
     static Time GetSafeTime();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mpi/test/mpi-test-suite.cc ns-3.44/src/mpi/test/mpi-test-suite.cc
--- ns-3.43/src/mpi/test/mpi-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
+++ ns-3.44/src/mpi/test/mpi-test-suite.cc	2025-03-09 16:55:49.659372000 -0700
@@ -13,7 +13,7 @@
 using namespace ns3;
 
 /**
- * \ingroup mpi-tests
+ * @ingroup mpi-tests
  *
  * This version of ns3::ExampleTestCase is specialized for MPI
  * by accepting the number of ranks as a parameter,
@@ -24,9 +24,9 @@
 {
   public:
     /**
-     * \copydoc ns3::ExampleAsTestCase::ExampleAsTestCase
+     * @copydoc ns3::ExampleAsTestCase::ExampleAsTestCase
      *
-     * \param [in] ranks The number of ranks to use
+     * @param [in] ranks The number of ranks to use
      */
     MpiTestCase(const std::string name,
                 const std::string program,
@@ -44,7 +44,7 @@
      * Produce the `--command-template` argument which will invoke
      * `mpiexec` with the requested number of ranks.
      *
-     * \returns The `--command-template` string.
+     * @returns The `--command-template` string.
      */
     std::string GetCommandTemplate() const override;
 
@@ -52,7 +52,7 @@
      * Sort the output from parallel execution.
      * stdout from multiple ranks is not ordered.
      *
-     * \returns Sort command
+     * @returns Sort command
      */
     std::string GetPostProcessingCommand() const override;
 
@@ -88,16 +88,16 @@
 }
 
 /**
- * \ingroup mpi-tests
+ * @ingroup mpi-tests
  * MPI specialization of ns3::ExampleTestSuite.
  */
 class MpiTestSuite : public TestSuite
 {
   public:
     /**
-     * \copydoc MpiTestCase::MpiTestCase
+     * @copydoc MpiTestCase::MpiTestCase
      *
-     * \param [in] duration Amount of time this test takes to execute
+     * @param [in] duration Amount of time this test takes to execute
      *             (defaults to QUICK).
      */
     MpiTestSuite(const std::string name,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/colors-link-description.cc ns-3.44/src/netanim/examples/colors-link-description.cc
--- ns-3.43/src/netanim/examples/colors-link-description.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/colors-link-description.cc	2025-03-09 16:55:49.671372200 -0700
@@ -136,8 +136,8 @@
         clientApps.Add(clientHelper.Install(d.GetRight(i)));
     }
 
-    clientApps.Start(Seconds(0.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(0));
+    clientApps.Stop(Seconds(10));
 
     // Set the bounding box for animation
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/dumbbell-animation.cc ns-3.44/src/netanim/examples/dumbbell-animation.cc
--- ns-3.43/src/netanim/examples/dumbbell-animation.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/dumbbell-animation.cc	2025-03-09 16:55:49.671372200 -0700
@@ -78,8 +78,8 @@
         clientApps.Add(clientHelper.Install(d.GetRight(i)));
     }
 
-    clientApps.Start(Seconds(0.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(0));
+    clientApps.Stop(Seconds(10));
 
     // Set the bounding box for animation
     d.BoundingBox(1, 1, 100, 100);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/grid-animation.cc ns-3.44/src/netanim/examples/grid-animation.cc
--- ns-3.43/src/netanim/examples/grid-animation.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/grid-animation.cc	2025-03-09 16:55:49.671372200 -0700
@@ -62,7 +62,7 @@
     clientHelper.SetAttribute("Remote", remoteAddress);
     clientApps.Add(clientHelper.Install(grid.GetNode(0, 0)));
 
-    clientApps.Start(Seconds(0.0));
+    clientApps.Start(Seconds(0));
     clientApps.Stop(Seconds(1.5));
 
     // Set the bounding box for animation
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/resources-counters.cc ns-3.44/src/netanim/examples/resources-counters.cc
--- ns-3.43/src/netanim/examples/resources-counters.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/resources-counters.cc	2025-03-09 16:55:49.671372200 -0700
@@ -169,8 +169,8 @@
         clientApps.Add(clientHelper.Install(d.GetRight(i)));
     }
 
-    clientApps.Start(Seconds(0.0));
-    clientApps.Stop(Seconds(5.0));
+    clientApps.Start(Seconds(0));
+    clientApps.Stop(Seconds(5));
 
     // Set the bounding box for animation
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/star-animation.cc ns-3.44/src/netanim/examples/star-animation.cc
--- ns-3.43/src/netanim/examples/star-animation.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/star-animation.cc	2025-03-09 16:55:49.671372200 -0700
@@ -89,8 +89,8 @@
     }
     PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", hubLocalAddress);
     ApplicationContainer hubApp = packetSinkHelper.Install(star.GetHub());
-    hubApp.Start(Seconds(1.0));
-    hubApp.Stop(Seconds(10.0));
+    hubApp.Start(Seconds(1));
+    hubApp.Stop(Seconds(10));
 
     //
     // Create OnOff applications to send TCP to the hub, one on each spoke node.
@@ -115,8 +115,8 @@
         onOffHelper.SetAttribute("Remote", remoteAddress);
         spokeApps.Add(onOffHelper.Install(star.GetSpokeNode(i)));
     }
-    spokeApps.Start(Seconds(1.0));
-    spokeApps.Stop(Seconds(10.0));
+    spokeApps.Start(Seconds(1));
+    spokeApps.Stop(Seconds(10));
 
     NS_LOG_INFO("Enable static global routing.");
     //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/uan-animation.cc ns-3.44/src/netanim/examples/uan-animation.cc
--- ns-3.43/src/netanim/examples/uan-animation.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/uan-animation.cc	2025-03-09 16:55:49.671372200 -0700
@@ -7,8 +7,8 @@
  */
 
 /**
- * \file uan-animation.cc
- * \ingroup uan
+ * @file uan-animation.cc
+ * @ingroup uan
  *
  * This example showcases the "CW-MAC" described in System Design Considerations for Undersea
  * Networks article in the IEEE Journal on Selected Areas of Communications 2008 by Nathan Parrish,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/uan-animation.h ns-3.44/src/netanim/examples/uan-animation.h
--- ns-3.43/src/netanim/examples/uan-animation.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/uan-animation.h	2025-03-09 16:55:49.671372200 -0700
@@ -15,8 +15,8 @@
 using namespace ns3;
 
 /**
- * \class NetAnimExperiment
- * \brief Helper class for UAN CW MAC example
+ * @class NetAnimExperiment
+ * @brief Helper class for UAN CW MAC example
  *
  */
 class NetAnimExperiment
@@ -24,24 +24,24 @@
   public:
     /**
      * Run function
-     * \param uan the UAN helper
+     * @param uan the UAN helper
      */
     void Run(UanHelper& uan);
     /**
      * Receive packet function
-     * \param socket the socket to receive from
+     * @param socket the socket to receive from
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
      * Update positions function
-     * \param nodes the collection of nodes
+     * @param nodes the collection of nodes
      */
     void UpdatePositions(NodeContainer& nodes) const;
     /// Reset data function
     void ResetData();
     /**
      * Increment CW function
-     * \param cw the CW
+     * @param cw the CW
      */
     void IncrementCw(uint32_t cw);
     uint32_t m_numNodes;   ///< number of nodes
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/examples/wireless-animation.cc ns-3.44/src/netanim/examples/wireless-animation.cc
--- ns-3.43/src/netanim/examples/wireless-animation.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/examples/wireless-animation.cc	2025-03-09 16:55:49.671372200 -0700
@@ -139,18 +139,18 @@
 
     UdpEchoServerHelper echoServer(9);
     ApplicationContainer serverApps = echoServer.Install(csmaNodes.Get(1));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(15.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(15));
     UdpEchoClientHelper echoClient(csmaInterfaces.GetAddress(1), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(10));
     echoClient.SetAttribute("Interval", TimeValue(Seconds(1.)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
     ApplicationContainer clientApps = echoClient.Install(wifiStaNodes);
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(15.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(15));
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
-    Simulator::Stop(Seconds(15.0));
+    Simulator::Stop(Seconds(15));
 
     AnimationInterface anim("wireless-animation.xml"); // Mandatory
     for (uint32_t i = 0; i < wifiStaNodes.GetN(); ++i)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/model/animation-interface.cc ns-3.44/src/netanim/model/animation-interface.cc
--- ns-3.43/src/netanim/model/animation-interface.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/model/animation-interface.cc	2025-03-09 16:55:49.671372200 -0700
@@ -71,11 +71,11 @@
       m_writeCallback(nullptr),
       m_started(false),
       m_enablePacketMetadata(false),
-      m_startTime(Seconds(0)),
+      m_startTime(),
       m_stopTime(Seconds(3600 * 1000)),
       m_maxPktsPerFile(MAX_PKTS_PER_TRACE_FILE),
       m_originalFileName(fn),
-      m_routingStopTime(Seconds(0)),
+      m_routingStopTime(),
       m_routingFileName(""),
       m_routingPollInterval(Seconds(5)),
       m_trackPackets(true)
@@ -984,7 +984,7 @@
         AddPendingPacket(AnimationInterface::WIFI, animUid, pktInfo);
         NS_LOG_WARN("WifiPhyRxBegin: unknown Uid, but we are adding a wifi packet");
     }
-    /// \todo NS_ASSERT (WifiPacketIsPending (animUid) == true);
+    /// @todo NS_ASSERT (WifiPacketIsPending (animUid) == true);
     m_pendingWifiPackets[animUid].ProcessRxBegin(ndev, Simulator::Now().GetSeconds());
     OutputWirelessPacketRxInfo(p, m_pendingWifiPackets[animUid], animUid);
 }
@@ -1190,7 +1190,7 @@
         AddPendingPacket(AnimationInterface::CSMA, animUid, pktInfo);
         NS_LOG_WARN("Unknown Uid, but adding Csma Packet anyway");
     }
-    /// \todo NS_ASSERT (IsPacketPending (AnimUid) == true);
+    /// @todo NS_ASSERT (IsPacketPending (AnimUid) == true);
     AnimPacketInfo& pktInfo = m_pendingCsmaPackets[animUid];
     pktInfo.m_lbTx = Simulator::Now().GetSeconds();
 }
@@ -1209,7 +1209,7 @@
         NS_LOG_WARN("CsmaPhyRxEndTrace: unknown Uid");
         return;
     }
-    /// \todo NS_ASSERT (CsmaPacketIsPending (AnimUid) == true);
+    /// @todo NS_ASSERT (CsmaPacketIsPending (AnimUid) == true);
     AnimPacketInfo& pktInfo = m_pendingCsmaPackets[animUid];
     pktInfo.ProcessRxBegin(ndev, Simulator::Now().GetSeconds());
     NS_LOG_INFO("CsmaPhyRxEndTrace for packet:" << animUid);
@@ -1230,7 +1230,7 @@
         NS_LOG_WARN("CsmaMacRxTrace: unknown Uid");
         return;
     }
-    /// \todo NS_ASSERT (CsmaPacketIsPending (AnimUid) == true);
+    /// @todo NS_ASSERT (CsmaPacketIsPending (AnimUid) == true);
     AnimPacketInfo& pktInfo = m_pendingCsmaPackets[animUid];
     NS_LOG_INFO("MacRxTrace for packet:" << animUid << " complete");
     OutputCsmaPacket(p, pktInfo);
@@ -1634,7 +1634,7 @@
                             MakeCallback(&AnimationInterface::UanPhyGenTxTrace, this));
     Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::UanNetDevice/Phy/PhyRxBegin",
                             MakeCallback(&AnimationInterface::UanPhyGenRxTrace, this));
-    Config::ConnectFailSafe("/NodeList/*/$ns3::BasicEnergySource/RemainingEnergy",
+    Config::ConnectFailSafe("/NodeList/*/$ns3::energy::BasicEnergySource/RemainingEnergy",
                             MakeCallback(&AnimationInterface::RemainingEnergyTrace, this));
 
     ConnectLte();
@@ -1690,17 +1690,17 @@
                             MakeCallback(&AnimationInterface::WifiPhyRxDropTrace, this));
 
     // LrWpan
-    Config::ConnectFailSafe("NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Phy/PhyTxBegin",
+    Config::ConnectFailSafe("NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Phy/PhyTxBegin",
                             MakeCallback(&AnimationInterface::LrWpanPhyTxBeginTrace, this));
-    Config::ConnectFailSafe("NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Phy/PhyRxBegin",
+    Config::ConnectFailSafe("NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Phy/PhyRxBegin",
                             MakeCallback(&AnimationInterface::LrWpanPhyRxBeginTrace, this));
-    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Mac/MacTx",
+    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Mac/MacTx",
                             MakeCallback(&AnimationInterface::LrWpanMacTxTrace, this));
-    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Mac/MacTxDrop",
+    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Mac/MacTxDrop",
                             MakeCallback(&AnimationInterface::LrWpanMacTxDropTrace, this));
-    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Mac/MacRx",
+    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Mac/MacRx",
                             MakeCallback(&AnimationInterface::LrWpanMacRxTrace, this));
-    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::LrWpanNetDevice/Mac/MacRxDrop",
+    Config::ConnectFailSafe("/NodeList/*/DeviceList/*/$ns3::lrwpan::LrWpanNetDevice/Mac/MacRxDrop",
                             MakeCallback(&AnimationInterface::LrWpanMacRxDropTrace, this));
 }
 
@@ -2518,9 +2518,8 @@
     element.AddAttribute("id", nodeId);
     element.AddAttribute("d", destination.c_str());
     element.AddAttribute("c", rpElements.size());
-    for (auto i = rpElements.begin(); i != rpElements.end(); ++i)
+    for (const auto& rpElement : rpElements)
     {
-        Ipv4RoutePathElement rpElement = *i;
         AnimXmlElement rpeElement("rpe");
         rpeElement.AddAttribute("n", rpElement.nodeId);
         rpeElement.AddAttribute("nH", rpElement.nextHop.c_str());
